## org.codehaus.groovy.runtime.metaclass
Class SoftRef

A SoftReference representing a key or value of the map. The instance keeps a pointer to the entry it is sotring a key or value for. This is used to identify the entry we need to remove

see:
  CopyOfMemoryAwareConcurrentReadMap#expungeStaleEntries()

Field Summary
`Entry` | `entry`

Constructor Summary
`SoftRef(Entry e, Object v, ReferenceQueue q)`

Method Summary
`void` | `clear()`

Constructor Detail

### SoftRef

    public SoftRef(Entry e, Object v, ReferenceQueue q)

Method Detail

### clear

    public void clear()